#include <stdio.h>
#include <stdlib.h>
#include <winb.h>
#include <te.h>
#include <fntb.h>
#include <gui.h>

extern int	idSetupWin ;
extern int	idSetupOkBtn ;
extern int	SetupOkBtnProc() ;
extern int	idSetupCancelBtn ;
extern int	SetupCancelBtnProc() ;
extern int	idSetupNizimiMsg ;
extern int	idSetupKosuriMsg ;
extern int	idSetupNizimiSBar ;
extern int	SetupNizimiSBarProc() ;
extern int	idSetupKosuriSBar ;
extern int	SetupKosuriSBarProc() ;

#define ALIGN	4
#define OFFSET(type) (sizeof(MMIPACKET) + (sizeof(type)+ALIGN-1)/ALIGN*ALIGN)

/*	MMI_init pf[^	*/

/*	wb_	*/

MMIINIT	initDataZSETUP = { "MmiInit",  12, 0 } ;

/* idSetupWin */

static MMIPACKET d001 = {	&idSetupWin,
							NULL,
							&MJ_WINDOWL40,
							OFFSET(WINDOWL40),
							MS_NONE
						} ;
static WINDOWL40	d001d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_HIDEL40,
							  60,  92, 343, 235, 8, 6, 8,
							MS_ALERTL40 | MS_UFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0,
							   1,  17,   0,   0,
							 128,  96, 640, 480,
							0,
							"EBhE",
						} ;

/* idSetupOkBtn */

static MMIPACKET d002 = {	&idSetupOkBtn,
							&idSetupWin,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d002d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 164, 200, 223, 219, 8, 6, 8,
							MS_UFRAMEL40 | MS_FRAMEL40,
							SetupOkBtnProc,
							0x0000
						} ;

/* idSetupCancelBtn */

static MMIPACKET d003 = {	&idSetupCancelBtn,
							&idSetupWin,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d003d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 248, 200, 307, 219, 8, 6, 8,
							MS_UFRAMEL40 | MS_FRAMEL40,
							SetupCancelBtnProc,
							0x0000
						} ;

/* NULL */

static MMIPACKET d004 = {	NULL,
							&idSetupWin,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d004d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 176, 200, 211, 219, 8,15, 8,
							MS_NONEL40,
							"ݒ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* NULL */

static MMIPACKET d005 = {	NULL,
							&idSetupWin,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d005d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 260, 200, 295, 219, 8,15, 8,
							MS_NONEL40,
							"",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* NULL */

static MMIPACKET d006 = {	NULL,
							&idSetupWin,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d006d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							  96, 104, 303, 123, 8,15, 8,
							MS_NONEL40,
							"`p[^̐ݒ",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* NULL */

static MMIPACKET d007 = {	NULL,
							&idSetupWin,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d007d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							  72, 140, 199, 155, 8,15, 8,
							MS_NONEL40,
							"ɂ݃ŷЂ낪",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* NULL */

static MMIPACKET d008 = {	NULL,
							&idSetupWin,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d008d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							  72, 164, 203, 179, 8,15, 8,
							MS_NONEL40,
							"y̋",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* idSetupNizimiMsg */

static MMIPACKET d009 = {	&idSetupNizimiMsg,
							&idSetupWin,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d009d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 204, 140, 223, 155, 8, 6, 8,
							MS_OPAQUEL40,
							"  0",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* idSetupKosuriMsg */

static MMIPACKET d010 = {	&idSetupKosuriMsg,
							&idSetupWin,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d010d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 204, 164, 223, 179, 8, 6, 8,
							MS_OPAQUEL40,
							"  0",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* idSetupNizimiSBar */

static MMIPACKET d011 = {	&idSetupNizimiSBar,
							&idSetupWin,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d011d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							 228, 140, 327, 155, 8, 6, 6,
							MS_PANELL40 | MS_FRAMEL40,
							SetupNizimiSBarProc,
							   0,   0, 100,  16,  16,
							 265, 266
						} ;

/* idSetupKosuriSBar */

static MMIPACKET d012 = {	&idSetupKosuriSBar,
							&idSetupWin,
							&MJ_SCRLL40,
							0,
							MS_NONE
						} ;
static SCRLL40	d012d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							 228, 164, 327, 179, 8, 6, 6,
							MS_PANELL40 | MS_FRAMEL40,
							SetupKosuriSBarProc,
							   0,   0, 255,  16,  16,
							 265, 266
						} ;

